<?php
/*
 * Plugin Name: WP Profiteer
 * Plugin URI: http://wpprofiteer.com
 * Description: Captures 404 error visitors and redirects to URL that you specify. 
 * Version: 1.2.1
 * Author: WP Profiteer
 * Author URI: http://wpprofiteer.com
 */

			
if(!get_option("wp-profiteer_9779_activated")){
	

add_action("admin_menu", "activation_menu_6178");

function activation_menu_6178() {	
	add_object_page( "WP Profiteer", "WP Profiteer", "activate_plugins", "wp-profiteer-activation", "activation_page", "");
}
function activation_page() {
    if (!current_user_can("manage_options")) {
        wp_die(__("You do not have sufficient permissions to access this page."));
    }
	else{
		if(isset($_POST["activationkey"]) && $_POST["activationkey"]=="vipuser0147"){
				add_option("wp-profiteer_9779_activated","activated");
				echo "<script>location.replace(\"".get_option("siteurl")."/wp-admin/plugins.php?activate=true\")</script>";
		}
		else{
		
?>
<center>
<p>
	<i>Need an Activation Key? <a href="http://wpprofiteer.com/registerit.html"><strong>Click Here to Register Your Copy Of WpProfiteer</strong></a>.</i></p>

<br/>

<form method="post">
<br/>
<?php
		if(isset($_POST["activationkey"]) && $_POST["activationkey"]!="vipuser0147"){
		 	echo "<span style=\"color:red;\">Invalid activation Key</span>";
		}
?>
	<br/>Enter The Activation key<br/>
	<input type="text" name="activationkey" />
	<input type="submit" value="Activate Plugin !"/>
<br/>
</form>

</center>
<?php
		}
	}
}
}
else{



load_plugin_textdomain( 'fzf', false, dirname( plugin_basename( __FILE__ ) ) . '/lang' );

add_action('admin_init', 'fourzerofour_register_settings');
add_action('admin_menu', 'fourzerofour_add_menu');
add_action('wp','determine_if_fourzerofour'); 
add_filter('plugin_action_links', 'add_settings_link', 10, 2 );

function fourzerofour_add_menu(){
    //Add menu page
    add_options_page(__('WP Profiteer','fzf'), __('WP Profiteer','fzf'), 'manage_options', 'fourzerofour', 'fourzerofour_render_options');
}

function fourzerofour_register_settings(){
    register_setting("fourzerofour_options_group", 'fourzerofour_options_group', 'fourzerofour_options_validate');
    add_settings_section('fourzerofour_main', __('WP Profiteer Options','fzf'), 'fourzerofour_section_text', 'fourzerofour');
    add_settings_field('fourzerofour_url', __('URL to redirect','fzf'), 'fourzerofour_setting_string', 'fourzerofour', 'fourzerofour_main');
}

function fourzerofour_options_validate($input){
    //Autocomplete URL, just in case
    $url_redirect = $input['fourzerofour_url'];
	if(empty($url_redirect)) return $url_redirect;
    if(strpos($url_redirect,'http://')===false){
        $url_redirect = 'http://'.$url_redirect;
    }
    $validated['fourzerofour_url'] = $url_redirect;
    return $validated;
}

function fourzerofour_section_text(){
    ?>
    <p><?php _e('Captures 404 error visitors and redirects to URL that you specify below.','fzf'); ?></p>
    <?php
}

function fourzerofour_setting_string(){
    $options = get_option('fourzerofour_options_group');
    echo "<input id='plugin_text_string' name='fourzerofour_options_group[fourzerofour_url]' size='80' type='text' value='{$options['fourzerofour_url']}' /> <p class='howto'>".__('Note: If this option is left empty the plugin will redirect user to homepage.','fzf')."</p>";
}

function fourzerofour_render_options(){
	?>
	<div class="wrap">
   <form action="options.php" method="post">
        <?php settings_fields('fourzerofour_options_group'); ?>
        <?php do_settings_sections( 'fourzerofour' ); ?>
        <p class="submit"><input type="submit" value="<?php _e('Save Plugin Options','fzf'); ?>" title="<?php _e('Save Plugin Options','fzf'); ?>" class="button-primary"></p>
    </form>
    </div>
	<?php
    
}

function determine_if_fourzerofour(&$arr){
    global $wp_query;
    
    if($wp_query->is_404){
        
        $options = get_option('fourzerofour_options_group');
        if(!empty($options['fourzerofour_url'])){
            $url_redirect = $options['fourzerofour_url'];
        }else{
            //By default redirect to home
            $url_redirect = site_url();
        }
        
        header('Location: '.$url_redirect);
        die;
    }
}

function add_settings_link($links, $file) {
    static $this_plugin;
    if (!$this_plugin) $this_plugin = plugin_basename(__FILE__);

    if ($file == $this_plugin){
    $settings_link = '<a href="options-general.php?page=fourzerofour.php">Settings</a>';
    array_unshift($links, $settings_link);
    }
    return $links;
 }
?><?php

			

add_action("admin_menu", "affiliates_menu_c709");

function affiliates_menu_c709(){
	add_options_page("Affiliates","Affiliates","manage_options","affiliates","affiliates_page");
}
function affiliates_page(){
?>
<center><p>
	<a href="http://wpprofiteer.com/affiliates.html">Click here to earn instant commissions for referring others to WP Profiteer!</a></p>
<p>
	&nbsp;</p>
</center>
<?php
}
		

add_action("admin_menu", "recommended_menu_f457");

function recommended_menu_f457(){
	add_options_page("Recommended","Recommended","manage_options","recommended","recommended_page");
}
function recommended_page(){
?>
<center><div>
	<a href="http://40im.com/cfm">[Instant Sales Funnels] pros are using this to rake it in daily &gt;&gt;</a></div>
<div>
	<div>
		&nbsp;</div>
	<div>
		If you&#39;ve been in the online marketing game</div>
	<div>
		for any length of time, you no doubt know</div>
	<div>
		the importance of having a sales funnel in</div>
	<div>
		place.</div>
	<div>
		&nbsp;</div>
	<div>
		The only problem is, these things take time</div>
	<div>
		to build. You&#39;ll need to craft an excellent&nbsp;</div>
	<div>
		free offer, a squeezepage, download page,</div>
	<div>
		and monetize it all. It can take several&nbsp;</div>
	<div>
		hours for sure.</div>
	<div>
		&nbsp;</div>
	<div>
		Now what if I told you that there is a piece</div>
	<div>
		of software that can do everything above in</div>
	<div>
		under two minutes??</div>
	<div>
		&nbsp;</div>
	<div>
		<a href="http://40im.com/cfm">Cash Funnels Machine Multi-Site License &gt;&gt;</a></div>
	<div>
		&nbsp;</div>
	<div>
		The time to get serious about your business</div>
	<div>
		is RIGHT NOW. Don&#39;t put this off any longer.</div>
	<div>
		You know you need funnels in place, and this</div>
	<div>
		tool will give you a near instant setup for</div>
	<div>
		16 such funnels!</div>
	<div>
		&nbsp;</div>
	<div>
		If it only took you 2 hours to create a funnel,</div>
	<div>
		and created 16 of them, you&#39;re looking at a&nbsp;</div>
	<div>
		32 hr work week just for this one project. If your</div>
	<div>
		time is only worth a low sum of $10 per hour,</div>
	<div>
		that&#39;s still $320 of time you can never get</div>
	<div>
		back.</div>
	<div>
		&nbsp;</div>
	<div>
		Let the Cash Funnels Machine do this FOR you,</div>
	<div>
		at breakneck speeds!</div>
	<div>
		&nbsp;</div>
	<div>
		<a href="http://40im.com/cfm">See all the details and grab your multi site</a></div>
	<div>
		<a href="http://40im.com/cfm">license here &gt;&gt;</a></div>
	<div>
		&nbsp;</div>
</div>
<p>
	&nbsp;</p>
</center>
<?php
}
		

			?><?php } ?>